%global dlrn_nvr os-brick-2.10.8.dev4-2.20220112064935.458bfad
%global dlrn 1
%define upstream_version 2.10.8.dev4
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global pypi_name os-brick

%global with_doc 0

%global common_desc \
OpenStack Cinder brick library for managing local volume attaches

Name:           python-%{pypi_name}
Version: 2.10.8
Release: 2.20220112064935.458bfad%{?dist}
Summary:        OpenStack Cinder brick library for managing local volume attaches

License:        ASL 2.0
URL:            http://www.openstack.org/
Source0: os-brick-2.10.8.dev4-2.20220112064935.458bfad.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=458bfadc7f30b339843f08652beb26cbda5b71c6
Patch0001: 0001-ScaleIO-Connection-info-backward-compatibility-DOWNS.patch
Patch0002: 0002-Replace-sg_scan-with-lsscsi-to-get-H-C-T-L.patch
Patch0003: 0003-ScaleIO-More-connection-info-backward-compatibility.patch

BuildArch:      noarch

%description
%{common_desc}

%package -n python%{pyver}-%{pypi_name}
Summary:        OpenStack Cinder brick library for managing local volume attaches
%{?python_provide:%python_provide python%{pyver}-%{pypi_name}}
Provides:       os-brick = %{version}-%{release}

Requires:       python%{pyver}-pbr
Requires:       python%{pyver}-babel >= 2.3.4
Requires:       python%{pyver}-eventlet >= 0.18.2
Requires:       python%{pyver}-oslo-concurrency >= 3.26.0
Requires:       python%{pyver}-oslo-i18n >= 3.15.3
Requires:       python%{pyver}-oslo-log >= 3.36.0
Requires:       python%{pyver}-oslo-service >= 1.24.0
Requires:       python%{pyver}-oslo-utils >= 3.33.0
Requires:       python%{pyver}-requests >= 2.14.2
Requires:       python%{pyver}-six >= 1.10.0
Requires:       python%{pyver}-oslo-privsep >= 1.32.0
Requires:       python%{pyver}-os-win >= 3.0.0
Requires:       cryptsetup
Requires:       device-mapper-multipath
Requires:       iscsi-initiator-utils
Requires:       lsscsi
Requires:       lvm2
Requires:       nfs-utils
Requires:       sg3_utils
Requires:       sysfsutils
%if 0%{?rhel} > 7
Requires:       systemd-udev
%endif

# Handle python2 exception
%if %{pyver} == 2
Requires:       python-retrying
%else
Requires:       python%{pyver}-retrying
%endif

BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-ddt
BuildRequires:  python%{pyver}-pbr >= 2.0.0
BuildRequires:  git
BuildRequires:  python%{pyver}-reno
BuildRequires:  python%{pyver}-oslo-concurrency  >= 3.8.0
BuildRequires:  python%{pyver}-oslo-i18n >= 3.15.3
BuildRequires:  python%{pyver}-oslo-log >= 3.36.0
BuildRequires:  python%{pyver}-oslo-service >= 1.24.0
BuildRequires:  python%{pyver}-os-win
BuildRequires:  python%{pyver}-requests >= 2.14.2
BuildRequires:  python%{pyver}-six >= 1.10.0
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-oslo-privsep >= 1.32.0

%if 0%{?with_doc}
BuildRequires:  python%{pyver}-openstackdocstheme
BuildRequires:  python%{pyver}-sphinx
%endif

# Handle python2 exception
%if %{pyver} == 2
BuildRequires:  python-retrying
%else
BuildRequires:  python%{pyver}-retrying
%endif

%description -n python%{pyver}-%{pypi_name}
%{common_desc}

%prep
%autosetup -n %{pypi_name}-%{upstream_version} -S git


%build
%{pyver_build}

%install
%{pyver_install}

%if 0%{?with_doc}
# generate html docs
%{pyver_bin} setup.py build_sphinx -b html
# remove the sphinx-build-%{pyver} leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

# Move config files to proper location
install -d -m 755 %{buildroot}%{_datarootdir}/%{pypi_name}/rootwrap
mv %{buildroot}/usr/etc/os-brick/rootwrap.d/*.filters %{buildroot}%{_datarootdir}/%{pypi_name}/rootwrap

%files -n python%{pyver}-%{pypi_name}
%license LICENSE
%if 0%{?with_doc}
%doc doc/build/html
%endif
%doc README.rst
%{pyver_sitelib}/os_brick*
%{_datarootdir}/%{pypi_name}
%exclude %{pyver_sitelib}/os_brick/tests

%changelog
* Wed Jan 12 2022 OSP Prod Chain <dev-null@redhat.com> 2.10.8-2.20220112064935.458bfad
- Update patches
- linuxscsi: Only raise and log multipathd errors when required

* Fri Nov 19 2021 OSP Prod Chain <dev-null@redhat.com> 2.10.8-2.20211119064901.55dd987
- Update patches
- Avoid unhandled exceptions during connecting to iSCSI portals
- New fix for rbd connector to work with ceph octopus

* Thu Aug 26 2021 OSP Prod Chain <dev-null@redhat.com> 2.10.7-2.20210826064830.30244b1
- Update patches

* Mon Jul 05 2021 OSP Prod Chain <dev-null@redhat.com> 2.10.7-2.20210705104809.30244b1
- Avoid unhandled exceptions during connecting to iSCSI portals (rhbz#1923975)

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 2.10.7-2.20210528134946.30244b1
- Update patches

* Fri May 14 2021 OSP Prod Chain <dev-null@redhat.com> 2.10.7-2.20210514074809.30244b1
- Update patches
- multipath/iscsi: remove devices from multipath monitoring
- Drop lower-constraints job

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 2.10.6-1
- Update patches
- iSCSI: Fix flushing after multipath cfg change
- FC: Fix not flushing on detach
- Improve error handling on target query
- Add oslo.context dependency
- prepend platform info to by-path string
- Adjust lower-constraints

* Wed Feb 17 2021 OSP Prod Chain <dev-null@redhat.com> 2.10.4-3
- ScaleIO: More connection info backward compatibility (rhbz#1929745)

* Fri Feb 05 2021 OSP Prod Chain <dev-null@redhat.com> 2.10.4-3
- Replace sg_scan with lsscsi to get '[H:C:T:L]' (rhbz#1872211)
- ScaleIO: Connection info backward compatibility (DOWNSTREAM) (rhbz#1869346)

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.4-3
- Update patches

* Thu Sep 17 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.4-3
- Update patches

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.4-2
- Update patches

* Sat Sep 05 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.4-1
- Update patches
- Leverage the iSCSI mpath to get the WWN
- iSCSI detect multipath DM with no WWN
- rbd: Warn if ceph udev rules are not configured
- Improve WWN detection
- rbd: Support 'rbd showmapped' output from ceph 13.2.0+
- Add release note for scaleio connector upgrade
- ScaleIO: Connection info backward compatibility
- Port the os-bricks jobs to Zuul v3
- rbd: Correct local_attach disconnect test and showmapped arguments

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.4-1
- rbd: Correct local_attach disconnect test and showmapped arguments (rhbz#1824112)

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.4-1
- Update patches

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.4-1
- rbd: Correct local_attach disconnect test and showmapped arguments (rhbz#1824112)
- Fix "Remove VxFlex OS credentials" regression

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.3-1
- Update patches

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.2-1
- rbd: Correct local_attach disconnect test and showmapped arguments (rhbz#1824112)
- Remove VxFlex OS credentials from connection_properties
- rbd: Use showmapped to find the root RBD device during disconnect_volume

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.2-1
- Update patches

* Tue May 19 2020 Lee Yarwood <lyarwood@redhat.com> 2.10.2-0.20200327163437.a8190cd
- rbd: Correct local_attach disconnect test and showmapped arguments (rhbz#1824112)
- rbd: Use showmapped to find the root RBD device during disconnect_volume (rhbz#1824112)

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.2-1
- Update patches

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.1-1
- Update patches
- Read mounts from /proc/mounts instead of running mount
- Skip cryptsetup password quality checking
- Split connector list by platform

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.1-1
- Update patches

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.1-1
- Update patches

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.1-1
- Update patches
- iscsi: Add _get_device_link retry when waiting for /dev/disk/by-id/ to populate
- Fix FC scan too broad
- Remove VxFlexOS connector external dependencies
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Mon Sep 23 2019 OSP Prod Chain <dev-null@redhat.com> 2.10.0-1
- Update patches

* Fri Sep 20 2019 RDO <dev@lists.rdoproject.org> 2.10.0-1
- Update to 2.10.0


